Bug 531643

Summary: Satellite 5.3: Kickstart profiles loses management/activation key(s) after upgrade to 5.3.0
Product: Red Hat Satellite 5 Reporter: Xixi <xdmoon>
Component: UpgradesAssignee: Tomas Lestach <tlestach>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Red Hat Satellite QA List <satellite-qa-list>
Severity: medium Docs Contact:
Priority: urgent    
Version: 530CC: casmith, cperry, tao, tlestach, wmealing, xdmoon
Target Milestone: ---Keywords: Regression
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-09-09 19:21:01 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 608752, 608757    

Description Xixi 2009-10-28 23:54:05 UTC
Description of problem:
After upgrading their satellite from 5.2 to 5.3 customer finds new systems are not registered to the satellite during the kickstart installation - turns out all old kickstart profiles (from v5.2) do not have a activation key associated with it. Removing all activation keys from the kickstart profiles and re-adding the same activation keys to the profiles seems to work, so the problem appears to be during upgrade.

During upgrade scenario 1a was used and it had latest rhn-upgrade installed. (rhn-upgrade-5.3.0.21-1)

Version-Release number of selected component (if applicable):
Red Hat Network (RHN) Satellite 5.3.0 S (upgraded from 5.2.0)

System architecture(s):
HEL 5 U3 i386 platform

How reproducible:
Always.

Steps to Reproduce:
1. On Satellite 5.2 or earlier create a few kickstart profiles and associate at least activation keys with each.
2. Follow Scenario 1a and upgrade satellite from 5.2 to 5.3
3. After upgrade look at the old kickstart profiles from step 1 and check for Activation keys in the Download tab and via cobbler.

Actual results:
No activation key is associated with the old kickstart profile.  I.e., /rhn/kickstart/KickstartFileDownload.do?ksid=277 doesn't have rhnreg_ks line and only:
...
# begin cobbler snippet
# begin Red Hat management server registration
# not configured to register to any Red Hat management server (ok)
# end Red Hat management server registration
...

And "cobbler profile dumpvars --name=<profile>" shows -
'redhat_management_key': '',
'redhat_management_permissive': 0,
'redhat_management_server': 'dell-sc440-2.gsslab.pnq.redhat.com',
'redhat_management_type': 'site',

Expected results:
It should have "rhnreg_ks --activationkey=79a62b54fa64967ce73c9b21fb73ed09" or similar like before.

Additional info:
Internal reproducer info attached.
Possibly similar to bug https://bugzilla.redhat.com/show_bug.cgi?id=512814 except with activation keys.

Comment 5 Tomas Lestach 2009-12-04 17:26:39 UTC
What I did was:
- installed a fresh sat5.2.1
- synced a rhel channel and created one custom channel
- created activation keys for both base channels
- created 2 kickstart profiles and associated activation keys to them
- upgraded to sat5.3.0

After upgrade I checked
- activation keys were still associated with kickstart profiles
- kickstart files contain rhnreg_ks with the --activationkey option and correct activation key parameters
- cobbler profile dumpvars --name=<ks-profile> listing contain correct redhat_management_key

Upgrade seem to proceed correctly.

The machines are no longer available, so I couldn't log in.

Did your OS upgrade run smoothly? What was the original OS you were upgrading from?

Do you have the possibility to run following sql queries on the upgraded satellite?

SELECT * FROM RHNACTIVATIONKEY;
SELECT * FROM RHNKICKSTARTSESSION;
SELECT * FROM RHNREGTOKEN;
SELECT * FROM RHNKSDATA;

Comment 6 Tomas Lestach 2009-12-08 18:11:54 UTC
I tried one more time to reproduce the misbehavior, when I upgraded sat5.2.0 to sat5.3.0.
I had several channels assigned to one activation key and also several activation keys associated with one kickstart profile.

After upgrade everything looks like I set up on the original server.

Please, provide more specific information to re-create the bug.